bl_info = {
    "name": "Rig Picker",
    "author": "Christophe Seux",
    "version": (0, 1),
    "blender": (3, 0, 2),
    "location": "",
    "description": "",
    "warning": "",
    "wiki_url": "",
    "tracker_url": "",
    "category": "Rigging"}

import importlib

modules = (
    '.operators',
    '.properties',
    '.ui',
    '.area',
    '.gizmo',
    '.draw_handlers'
)

import bpy

if "bpy" in locals():
    if not bpy.app.background:
        for name in modules:
            module = importlib.import_module(name, __name__)
            importlib.reload(module)

def register():
    if bpy.app.background:
        return
    for name in modules:
        module = importlib.import_module(name, __name__)
        module.register()

def unregister():
    if bpy.app.background:
        return
    for name in reversed(modules):
        module = importlib.import_module(name, __name__)
        module.unregister()
